EUCA2OOLS(1)

NAME
euca-describe-nat-gateways - Describe one or more VPC NAT gateways

SYNOPSIS
euca-describe-nat-gateways [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [NGATEWAY [NGATEWAY ...]]

DESCRIPTION
Describe one or more VPC NAT gateways

  positional arguments:

NGATEWAY
    limit results to one or more NAT gateways

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:
nat-gateway-id state the state of the NAT gateway subnet-id the ID of the subnet in which the NAT gateway resides

vpc-id
    the ID of the VPC in which the NAT gateway resides

tag:KEY
    specific tag key/value combination